Sisimai::Reason::BadReputation(3pm)

NAME
Sisimai::Reason::BadReputation - Bounce reason is "badreputation" or not.

SYNOPSIS
    use Sisimai::Reason::BadReputation;
    print Sisimai::Reason::BadReputation->match('rate limited due to IP reputation.');  # 1

DESCRIPTION
"Sisimai::Reason::BadReputation" checks the bounce reason is "badreputation" or not. This class is called only "Sisimai::Reason" class.

This is the error that an email rejected due to a reputation score of the sender IP address.

    Action: failed
    Status: 5.7.1
    Remote-MTA: dns; gmail-smtp-in.l.google.com
    Diagnostic-Code: smtp; 550-5.7.1 [192.0.2.22] Our system has detected that this message is
                           likely suspicious due to the very low reputation of the sending IP
                           address. To best protect our users from spam, the message has been
                           blocked. Please visit https://support.google.com/mail/answer/188131
                           for more information.

CLASS METHODS

  "text()"
text() method returns the fixed string "badreputation".

    print Sisimai::Reason::BadReputation->text;  # badreputation

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::BadReputation->match('low reputation of the sending IP');    # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "badreputation". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2022,2024-2026 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.